IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fce3::/16- First address
fce3::- Last address
fce3:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fce3:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
3.e.c.f.ip6.arpa
Split into smaller subnets
fce3::/16 makes 256 subnets of /24.
| # | Subnet | Last address |
|---|---|---|
| 1 | fce3::/24 | fce3:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fce3:100::/24 | fce3:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fce3:200::/24 | fce3:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fce3:300::/24 | fce3:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fce3:400::/24 | fce3:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fce3:500::/24 | fce3:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fce3:600::/24 | fce3:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fce3:700::/24 | fce3:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fce3:800::/24 | fce3:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fce3:900::/24 | fce3:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fce3:a00::/24 | fce3:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fce3:b00::/24 | fce3:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fce3:c00::/24 | fce3:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fce3:d00::/24 | fce3:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fce3:e00::/24 | fce3:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fce3:f00::/24 | fce3:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fce3:1000::/24 | fce3:10ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fce3:1100::/24 | fce3:11ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fce3:1200::/24 | fce3:12ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fce3:1300::/24 | fce3:13ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fce3:1400::/24 | fce3:14ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fce3:1500::/24 | fce3:15ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fce3:1600::/24 | fce3:16ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fce3:1700::/24 | fce3:17ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fce3:1800::/24 | fce3:18ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fce3:1900::/24 | fce3:19ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fce3:1a00::/24 | fce3:1aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fce3:1b00::/24 | fce3:1bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fce3:1c00::/24 | fce3:1cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fce3:1d00::/24 | fce3:1dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fce3:1e00::/24 | fce3:1eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fce3:1f00::/24 | fce3:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fce3:2000::/24 | fce3:20ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fce3:2100::/24 | fce3:21ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fce3:2200::/24 | fce3:22ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fce3:2300::/24 | fce3:23ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fce3:2400::/24 | fce3:24ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fce3:2500::/24 | fce3:25ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fce3:2600::/24 | fce3:26ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fce3:2700::/24 | fce3:27ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fce3:2800::/24 | fce3:28ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fce3:2900::/24 | fce3:29ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fce3:2a00::/24 | fce3:2aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fce3:2b00::/24 | fce3:2bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fce3:2c00::/24 | fce3:2cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fce3:2d00::/24 | fce3:2dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fce3:2e00::/24 | fce3:2eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fce3:2f00::/24 | fce3:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fce3:3000::/24 | fce3:30ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fce3:3100::/24 | fce3:31ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fce3:3200::/24 | fce3:32ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fce3:3300::/24 | fce3:33ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fce3:3400::/24 | fce3:34ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fce3:3500::/24 | fce3:35ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fce3:3600::/24 | fce3:36ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fce3:3700::/24 | fce3:37ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fce3:3800::/24 | fce3:38ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fce3:3900::/24 | fce3:39ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fce3:3a00::/24 | fce3:3aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fce3:3b00::/24 | fce3:3bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fce3:3c00::/24 | fce3:3cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fce3:3d00::/24 | fce3:3dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fce3:3e00::/24 | fce3:3eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fce3:3f00::/24 | fce3:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fce3:4000::/24 | fce3:40ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fce3:4100::/24 | fce3:41ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fce3:4200::/24 | fce3:42ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fce3:4300::/24 | fce3:43ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fce3:4400::/24 | fce3:44ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fce3:4500::/24 | fce3:45ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fce3:4600::/24 | fce3:46ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fce3:4700::/24 | fce3:47ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fce3:4800::/24 | fce3:48ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fce3:4900::/24 | fce3:49ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fce3:4a00::/24 | fce3:4aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fce3:4b00::/24 | fce3:4bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fce3:4c00::/24 | fce3:4cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fce3:4d00::/24 | fce3:4dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fce3:4e00::/24 | fce3:4eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fce3:4f00::/24 | fce3:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fce3:5000::/24 | fce3:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fce3:5100::/24 | fce3:51ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fce3:5200::/24 | fce3:52ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fce3:5300::/24 | fce3:53ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fce3:5400::/24 | fce3:54ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fce3:5500::/24 | fce3:55ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fce3:5600::/24 | fce3:56ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fce3:5700::/24 | fce3:57ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fce3:5800::/24 | fce3:58ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fce3:5900::/24 | fce3:59ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fce3:5a00::/24 | fce3:5aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fce3:5b00::/24 | fce3:5bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fce3:5c00::/24 | fce3:5cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fce3:5d00::/24 | fce3:5dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fce3:5e00::/24 | fce3:5eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fce3:5f00::/24 | fce3:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fce3:6000::/24 | fce3:60ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fce3:6100::/24 | fce3:61ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fce3:6200::/24 | fce3:62ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fce3:6300::/24 | fce3:63ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fce3:6400::/24 | fce3:64ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fce3:6500::/24 | fce3:65ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fce3:6600::/24 | fce3:66ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fce3:6700::/24 | fce3:67ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fce3:6800::/24 | fce3:68ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fce3:6900::/24 | fce3:69ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fce3:6a00::/24 | fce3:6aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fce3:6b00::/24 | fce3:6bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fce3:6c00::/24 | fce3:6cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fce3:6d00::/24 | fce3:6dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fce3:6e00::/24 | fce3:6eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fce3:6f00::/24 | fce3:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fce3:7000::/24 | fce3:70ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fce3:7100::/24 | fce3:71ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fce3:7200::/24 | fce3:72ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fce3:7300::/24 | fce3:73ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fce3:7400::/24 | fce3:74ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fce3:7500::/24 | fce3:75ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fce3:7600::/24 | fce3:76ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fce3:7700::/24 | fce3:77ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fce3:7800::/24 | fce3:78ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fce3:7900::/24 | fce3:79ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fce3:7a00::/24 | fce3:7aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fce3:7b00::/24 | fce3:7bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fce3:7c00::/24 | fce3:7cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fce3:7d00::/24 | fce3:7dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fce3:7e00::/24 | fce3:7eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fce3:7f00::/24 | fce3:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fce3:8000::/24 | fce3:80ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fce3:8100::/24 | fce3:81ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fce3:8200::/24 | fce3:82ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fce3:8300::/24 | fce3:83ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fce3:8400::/24 | fce3:84ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fce3:8500::/24 | fce3:85ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fce3:8600::/24 | fce3:86ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fce3:8700::/24 | fce3:87ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fce3:8800::/24 | fce3:88ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fce3:8900::/24 | fce3:89ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fce3:8a00::/24 | fce3:8aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fce3:8b00::/24 | fce3:8bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fce3:8c00::/24 | fce3:8cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fce3:8d00::/24 | fce3:8dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fce3:8e00::/24 | fce3:8eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fce3:8f00::/24 | fce3:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fce3:9000::/24 | fce3:90ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fce3:9100::/24 | fce3:91ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fce3:9200::/24 | fce3:92ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fce3:9300::/24 | fce3:93ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fce3:9400::/24 | fce3:94ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fce3:9500::/24 | fce3:95ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fce3:9600::/24 | fce3:96ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fce3:9700::/24 | fce3:97ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fce3:9800::/24 | fce3:98ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fce3:9900::/24 | fce3:99ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fce3:9a00::/24 | fce3:9aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fce3:9b00::/24 | fce3:9bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fce3:9c00::/24 | fce3:9cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fce3:9d00::/24 | fce3:9dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fce3:9e00::/24 | fce3:9eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fce3:9f00::/24 | fce3:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fce3:a000::/24 | fce3:a0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fce3:a100::/24 | fce3:a1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fce3:a200::/24 | fce3:a2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fce3:a300::/24 | fce3:a3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fce3:a400::/24 | fce3:a4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fce3:a500::/24 | fce3:a5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fce3:a600::/24 | fce3:a6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fce3:a700::/24 | fce3:a7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fce3:a800::/24 | fce3:a8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fce3:a900::/24 | fce3:a9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fce3:aa00::/24 | fce3:aaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fce3:ab00::/24 | fce3:abff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fce3:ac00::/24 | fce3:acff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fce3:ad00::/24 | fce3:adff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fce3:ae00::/24 | fce3:aeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fce3:af00::/24 | fce3:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fce3:b000::/24 | fce3:b0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fce3:b100::/24 | fce3:b1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fce3:b200::/24 | fce3:b2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fce3:b300::/24 | fce3:b3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fce3:b400::/24 | fce3:b4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fce3:b500::/24 | fce3:b5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fce3:b600::/24 | fce3:b6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fce3:b700::/24 | fce3:b7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fce3:b800::/24 | fce3:b8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fce3:b900::/24 | fce3:b9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fce3:ba00::/24 | fce3:baff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fce3:bb00::/24 | fce3:bbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fce3:bc00::/24 | fce3:bcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fce3:bd00::/24 | fce3:bdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fce3:be00::/24 | fce3:beff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fce3:bf00::/24 | fce3:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fce3:c000::/24 | fce3:c0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fce3:c100::/24 | fce3:c1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fce3:c200::/24 | fce3:c2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fce3:c300::/24 | fce3:c3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fce3:c400::/24 | fce3:c4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fce3:c500::/24 | fce3:c5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fce3:c600::/24 | fce3:c6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fce3:c700::/24 | fce3:c7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fce3:c800::/24 | fce3:c8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fce3:c900::/24 | fce3:c9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fce3:ca00::/24 | fce3:caff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fce3:cb00::/24 | fce3:cbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fce3:cc00::/24 | fce3:ccff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fce3:cd00::/24 | fce3:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fce3:ce00::/24 | fce3:ceff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fce3:cf00::/24 | fce3:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fce3:d000::/24 | fce3:d0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fce3:d100::/24 | fce3:d1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fce3:d200::/24 | fce3:d2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fce3:d300::/24 | fce3:d3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fce3:d400::/24 | fce3:d4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fce3:d500::/24 | fce3:d5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fce3:d600::/24 | fce3:d6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fce3:d700::/24 | fce3:d7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fce3:d800::/24 | fce3:d8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fce3:d900::/24 | fce3:d9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fce3:da00::/24 | fce3:daff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fce3:db00::/24 | fce3:dbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fce3:dc00::/24 | fce3:dcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fce3:dd00::/24 | fce3:ddff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fce3:de00::/24 | fce3:deff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fce3:df00::/24 | fce3:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fce3:e000::/24 | fce3:e0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fce3:e100::/24 | fce3:e1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fce3:e200::/24 | fce3:e2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fce3:e300::/24 | fce3:e3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fce3:e400::/24 | fce3:e4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fce3:e500::/24 | fce3:e5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fce3:e600::/24 | fce3:e6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fce3:e700::/24 | fce3:e7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fce3:e800::/24 | fce3:e8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fce3:e900::/24 | fce3:e9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fce3:ea00::/24 | fce3:eaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fce3:eb00::/24 | fce3:ebff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fce3:ec00::/24 | fce3:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fce3:ed00::/24 | fce3:edff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fce3:ee00::/24 | fce3:eeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fce3:ef00::/24 | fce3:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fce3:f000::/24 | fce3:f0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fce3:f100::/24 | fce3:f1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fce3:f200::/24 | fce3:f2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fce3:f300::/24 | fce3:f3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fce3:f400::/24 | fce3:f4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fce3:f500::/24 | fce3:f5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fce3:f600::/24 | fce3:f6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fce3:f700::/24 | fce3:f7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fce3:f800::/24 | fce3:f8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fce3:f900::/24 | fce3:f9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fce3:fa00::/24 | fce3:faff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fce3:fb00::/24 | fce3:fbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fce3:fc00::/24 | fce3:fcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fce3:fd00::/24 | fce3:fdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fce3:fe00::/24 | fce3:feff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fce3:ff00::/24 | fce3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |